Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.fee.v07
Class EPPFeeTrnData

    java.lang.Object
      com.verisign.epp.codec.fee.v07.EPPFeeTransformResult
          com.verisign.epp.codec.fee.v07.EPPFeeTrnData

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPFeeTrnData

extends EPPFeeTransformResult

Fee Transfer Result Extension that enables a server to pass the resulting fee for the transfer command.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ELM_LOCALNAME` XML local name for `EPPFeeTrnData`.
`static java.lang.String` | `ELM_NAME` XML root tag for `EPPFeeTrnData`.

Constructor Summary
`EPPFeeTrnData()` Default constructor for `EPPFeeTrnData`.
`EPPFeeTrnData(java.lang.String aCurrency, EPPFeePeriod aPeriod, java.util.List<EPPFeeValue> aFees, java.math.BigDecimal aBalance, java.math.BigDecimal aCreditLimit)` Constructor for `EPPFeeTrnData` that takes all transfer query response attributes.
`EPPFeeTrnData(java.lang.String aCurrency, EPPFeeValue aFee)` Constructor for `EPPFeeTrnData` that takes the required currency parameter along with a single fee.
`EPPFeeTrnData(java.lang.String aCurrency, java.util.List<EPPFeeValue> aFees, java.math.BigDecimal aBalance, java.math.BigDecimal aCreditLimit)` Constructor for `EPPFeeTrnData` that takes all transfer request response attributes.

Method Summary
`protected java.lang.String` | `getLocalName()` Returns the local name "trnData" for the transfer data.
`protected void` | `validateAttributes()` Validate the set of attributes on `encode`.

Methods inherited from class com.verisign.epp.codec.fee.v07.EPPFeeTransformResult
`addCredit, addFee, clone, decode, encode, equals, getBalance, getCreditLimit, getCredits, getCurrency, getFees, getPeriod, hasBalance, hasCreditLimit, hasCredits, hasCurrency, hasFees, hasPeriod, setBalance, setCreditLimit, setCredits, setCurrency, setFees, setPeriod, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ELM_LOCALNAME

    public static final java.lang.String ELM_LOCALNAME

  XML local name for `EPPFeeTrnData`.

  See Also:
    Constant Field Values

### ELM_NAME

    public static final java.lang.String ELM_NAME

  XML root tag for `EPPFeeTrnData`.

  See Also:
    Constant Field Values

Constructor Detail

### EPPFeeTrnData

    public EPPFeeTrnData()

  Default constructor for `EPPFeeTrnData`.

### EPPFeeTrnData

    public EPPFeeTrnData(java.lang.String aCurrency,
                         EPPFeeValue aFee)

  Constructor for `EPPFeeTrnData` that takes the required currency parameter along with a single fee.

  Parameters:
    `aCurrency` - Currency of the fee
    `aFee` - A single fee value

### EPPFeeTrnData

    public EPPFeeTrnData(java.lang.String aCurrency,
                         java.util.List<EPPFeeValue> aFees,
                         java.math.BigDecimal aBalance,
                         java.math.BigDecimal aCreditLimit)

  Constructor for `EPPFeeTrnData` that takes all transfer request response attributes.

  Parameters:
    `aCurrency` - Currency of the fee
    `aFees` - List of fees
    `aBalance` - Available balance for client
    `aCreditLimit` - Maximum credit for client.

### EPPFeeTrnData

    public EPPFeeTrnData(java.lang.String aCurrency,
                         EPPFeePeriod aPeriod,
                         java.util.List<EPPFeeValue> aFees,
                         java.math.BigDecimal aBalance,
                         java.math.BigDecimal aCreditLimit)

  Constructor for `EPPFeeTrnData` that takes all transfer query response attributes.

  Parameters:
    `aCurrency` - Currency of the fee
    `aPeriod` - Transfer period of transfer request
    `aFees` - List of fees
    `aBalance` - Available balance for client
    `aCreditLimit` - Maximum credit for client.

Method Detail

### getLocalName

    protected java.lang.String getLocalName()

  Returns the local name "trnData" for the transfer data.

  Specified by:
    `getLocalName` in class `EPPFeeTransformResult`
  Returns:
    Local name "trnData" for the transfer data.

### validateAttributes

    protected void validateAttributes()
                               throws EPPEncodeException

  Validate the set of attributes on `encode`.

  Specified by:
    `validateAttributes` in class `EPPFeeTransformResult`
  Throws:
    `EPPEncodeException` - When an attribute is incorrect set or not set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.